import QtQuick 1.0

Rectangle {
    width: 360
    height: 640
    color: "black"

    Item {
        id: coverFlow
        anchors.fill: parent

        ListModel {
             id: appModel
             ListElement { name:"Photo 0"; description:"Ceci est la photo n°0"; cover: "0.jpg" }
             ListElement { name:"Photo 1"; description:"Ceci est la photo n°1"; cover: "1.jpg" }
             ListElement { name:"Photo 2"; description:"Ceci est la photo n°2"; cover: "2.jpg" }
             ListElement { name:"Photo 3"; description:"Ceci est la photo n°3"; cover: "3.jpg" }
             ListElement { name:"Photo 4"; description:"Ceci est la photo n°4"; cover: "4.jpg" }
             ListElement { name:"Photo 5"; description:"Ceci est la photo n°5"; cover: "5.jpg" }
             ListElement { name:"Photo 6"; description:"Ceci est la photo n°6"; cover: "6.jpg" }
             ListElement { name:"Photo 7"; description:"Ceci est la photo n°7"; cover: "7.jpg" }
             ListElement { name:"Photo 8"; description:"Ceci est la photo n°8"; cover: "8.jpg" }
             ListElement { name:"Photo 9"; description:"Ceci est la photo n°9"; cover: "9.jpg" }
             ListElement { name:"Photo 10"; description:"Ceci est la photo n°10"; cover: "10.jpg" }
        }

        PathView{
            id:view
            width: 360
            height: 360
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            model:appModel
            delegate:appDelegate
            path: Path{
                startX: 0
                startY: 180
                PathAttribute { name: "coverScale"; value: 0.5 }
                PathAttribute { name: "z"; value: 0 }
                PathAttribute { name: "coverOpacity"; value:  0.1 }
                PathLine{x:180 ;y: 180}
                PathAttribute { name: "coverScale"; value: 1 }
                PathAttribute { name: "z"; value: 100 }
                PathAttribute { name: "coverOpacity"; value: 1 }
                PathLine{x:380;y: 180}
                PathAttribute { name: "coverScale"; value: 0.5 }
                PathAttribute { name: "z"; value: 0 }
                PathAttribute { name: "coverOpacity"; value:  0.1 }
            }
        }

        Component{
            id: appDelegate

            Item {
                z:PathView.z
                scale: PathView.coverScale
                height: imageCover.height
                width: imageCover.width
                opacity: PathView.coverOpacity
                Image {
                    id: imageCover
                    smooth: true
                    width: 225
                    height: 225
                    source: cover
                }
            }
        }


        // Title of current cover
        Text {
            id:title
            text: appModel.get(view.currentIndex).name
            color: "white"
            font.bold: true
            font.pointSize: 14
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: view.bottom
        }

        // Description of current cover
        Text {
            id:description
            text: appModel.get(view.currentIndex).description
            color: "white"
            font.pointSize: 10
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: title.bottom
        }
    }

    function computeTitle()
    {
        return appModel.get(view.currentIndex).name;
    }

    function computeDescription()
    {
        return appModel.get(view.currentIndex).description;
    }
}
